Subject: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Ikumi Keita <[email-masked]>
Date: Sun, 08 Apr 2018 22:37:10 +0900

Liyu, thank you very much.

>>>>> Liyu Gong <[email-masked]> writes:
> On Sun, Apr 8, 2018 at 8:35 AM, Ikumi Keita <[email-masked]> wrote:
>>>>>>> Liyu Gong <[email-masked]> writes:
>>> Hi Ikumi,
>>> Sorry, I just got up. The results is the same: a dot followed with a
>>> newline "\n"
>> 
>> Thanks.  Well, then...
>> 
>> 1. How about the following two?
>> 
>> (call-process "kpsewhich" nil (list standard-output nil) nil
>> "--expand-brace" "{.,..}")
>> 
>> (call-process "kpsewhich" nil (list standard-output nil) nil
>> "--expand-brace" "{.,./.}")
>> 

> These two produce the same result: a dot followed by a newline "\n"

>> 2. Could you issue the following command with windows command prompt?
>> kpsewhich --version

> C:\Users\gongl>kpsewhich --version
> kpathsea version 6.2.3
> Copyright 2017 Karl Berry & Olaf Weber.
> License LGPLv2.1+: GNU Lesser GPL version 2.1 or later
> <http://gnu.org/licenses/lgpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.

Then the kpsewhich binary must really be the official texlive version.
I'm a sort of giving up.
I suppose this can hardly be the case, `call-process' might not call the
same binary.  What does (executable-find "kpsewhich") return?  On my
w32 emacs 25.2, it returns "c:/texlive/2017/bin/win32/kpsewhich.exe".

Best,
Ikumi Keita